org.keycloak.validate

## Interface SimpleValidator

- All Superinterfaces:
    Provider, ProviderFactory<Validator>, Validator, ValidatorFactory
  All Known Implementing Classes:
    AbstractNumberValidator, AbstractSimpleValidator, AbstractStringValidator, AttributeRequiredByMetadataValidator, BlankAttributeValidator, BrokeringFederatedUsernameHasValueValidator, DoubleValidator, DuplicateEmailValidator, DuplicateUsernameValidator, EmailExistsAsUsernameValidator, EmailValidator, ImmutableAttributeValidator, IntegerValidator, LengthValidator, LocalDateValidator, NotBlankValidator, NotEmptyValidator, PatternValidator, ReadOnlyAttributeUnchangedValidator, RegistrationEmailAsUsernameEmailValueValidator, RegistrationEmailAsUsernameUsernameValueValidator, RegistrationUsernameExistsValidator, UriValidator, UsernameHasValueValidator, UsernameMutationValidator, ValidatorConfigValidator

      public interface SimpleValidator
      extends Validator, ValidatorFactory

  Convenience interface to ease implementation of small `Validator` implementations. `SimpleValidator's` should be implemented as singletons.

- - ### Method Summary

    All Methods Instance Methods Default Methods
    Modifier and Type | Method and Description
    --- | ---
    `default void` | `close()` This is called when the server shuts down.
    `default Validator` | `create(KeycloakSession session)`
    `default void` | `init(Config.Scope config)` Only called once when the factory is first created.
    `default void` | `postInit(KeycloakSessionFactory factory)` Called after all provider factories have been initialized

    - ### Methods inherited from interface org.keycloak.validate.Validator

      `validate, validate, validate, validate, validate, validate, validate`

    - ### Methods inherited from interface org.keycloak.validate.ValidatorFactory

      `validateConfig`

    - ### Methods inherited from interface org.keycloak.provider.ProviderFactory

      `getId, order`

- - ### Method Detail

    - #### create

          default Validator create(KeycloakSession session)

      Specified by:
        `create` in interface `ProviderFactory<Validator>`

    - #### init

          default void init(Config.Scope config)

      Description copied from interface: `ProviderFactory`
      Only called once when the factory is first created. This config is pulled from keycloak_server.json
      Specified by:
        `init` in interface `ProviderFactory<Validator>`

    - #### postInit

          default void postInit(KeycloakSessionFactory factory)

      Description copied from interface: `ProviderFactory`
      Called after all provider factories have been initialized
      Specified by:
        `postInit` in interface `ProviderFactory<Validator>`

    - #### close

          default void close()

      Description copied from interface: `ValidatorFactory`
      This is called when the server shuts down.
      Specified by:
        `close` in interface `Provider`
      Specified by:
        `close` in interface `ProviderFactory<Validator>`
      Specified by:
        `close` in interface `Validator`
      Specified by:
        `close` in interface `ValidatorFactory`

Copyright © 2021 JBoss by Red Hat. All rights reserved.